Get a received message
curl --request GET \
--url https://talario.eu/api/v1/receiving/messages/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://talario.eu/api/v1/receiving/messages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://talario.eu/api/v1/receiving/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://talario.eu/api/v1/receiving/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://talario.eu/api/v1/receiving/messages/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://talario.eu/api/v1/receiving/messages/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://talario.eu/api/v1/receiving/messages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"envelope_from": "<string>",
"storage_status": "pending",
"content_status": "pending",
"recipients": [
{
"recipient": "<string>",
"last_event": {
"type": "received",
"occurred_at": "2023-11-07T05:31:56Z",
"http_status": 123,
"error_code": "<string>"
},
"deliveries": [
{
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint_id": "<string>",
"payload_version": 1,
"status": "pending",
"attempts": 123,
"last_attempt_at": "2023-11-07T05:31:56Z",
"last_http_status": 123,
"last_error_code": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z"
}
]
}
],
"expires_at": "2023-11-07T05:31:56Z",
"message_id": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"parse_status": "parsed"
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}Received messages
Get a received message
Returns the metadata, the state of the parsed content and the webhook deliveries of a received message. Contains no content. Requires the permission “Read received messages”.
GET
/
receiving
/
messages
/
{id}
Get a received message
curl --request GET \
--url https://talario.eu/api/v1/receiving/messages/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://talario.eu/api/v1/receiving/messages/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://talario.eu/api/v1/receiving/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://talario.eu/api/v1/receiving/messages/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://talario.eu/api/v1/receiving/messages/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://talario.eu/api/v1/receiving/messages/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://talario.eu/api/v1/receiving/messages/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"envelope_from": "<string>",
"storage_status": "pending",
"content_status": "pending",
"recipients": [
{
"recipient": "<string>",
"last_event": {
"type": "received",
"occurred_at": "2023-11-07T05:31:56Z",
"http_status": 123,
"error_code": "<string>"
},
"deliveries": [
{
"delivery_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint_id": "<string>",
"payload_version": 1,
"status": "pending",
"attempts": 123,
"last_attempt_at": "2023-11-07T05:31:56Z",
"last_http_status": 123,
"last_error_code": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z"
}
]
}
],
"expires_at": "2023-11-07T05:31:56Z",
"message_id": "<string>",
"size_bytes": 123,
"sha256": "<string>",
"parse_status": "parsed"
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "message_expired",
"message": "<string>",
"fields": {}
}
}⌘I